org.apache.ignite.ml.sparkmodelparser

## Enum SupportedSparkModels

- java.lang.Object
- - java.lang.Enum<SupportedSparkModels>
  - - org.apache.ignite.ml.sparkmodelparser.SupportedSparkModels

- All Implemented Interfaces:
    Serializable, Comparable<SupportedSparkModels>

      public enum SupportedSparkModels
      extends Enum<SupportedSparkModels>

  List of supported Spark models. It doesn't support old models from MLLib package. NOTE: Valid for Spark 2.2-2.4.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DECISION_TREE` Decision tree.
    `DECISION_TREE_REGRESSION` Decision tree regression.
    `GRADIENT_BOOSTED_TREES` Gradient boosted trees.
    `GRADIENT_BOOSTED_TREES_REGRESSION` Gradient boosted trees regression.
    `KMEANS` K-Means.
    `LINEAR_REGRESSION` Linear regression.
    `LINEAR_SVM` Support Vector Machine .
    `LOG_REGRESSION` Logistic regression.
    `RANDOM_FOREST` Random forest.
    `RANDOM_FOREST_REGRESSION` Random forest regression.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMdlClsNameInSpark()` Get model class name in Apache Spark.
    `static SupportedSparkModels` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SupportedSparkModels[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOG_REGRESSION

          public static final SupportedSparkModels LOG_REGRESSION

      Logistic regression.

    - #### LINEAR_REGRESSION

          public static final SupportedSparkModels LINEAR_REGRESSION

      Linear regression.

    - #### DECISION_TREE

          public static final SupportedSparkModels DECISION_TREE

      Decision tree.

    - #### LINEAR_SVM

          public static final SupportedSparkModels LINEAR_SVM

      Support Vector Machine .

    - #### RANDOM_FOREST

          public static final SupportedSparkModels RANDOM_FOREST

      Random forest.

    - #### KMEANS

          public static final SupportedSparkModels KMEANS

      K-Means.

    - #### DECISION_TREE_REGRESSION

          public static final SupportedSparkModels DECISION_TREE_REGRESSION

      Decision tree regression.

    - #### RANDOM_FOREST_REGRESSION

          public static final SupportedSparkModels RANDOM_FOREST_REGRESSION

      Random forest regression.

    - #### GRADIENT_BOOSTED_TREES_REGRESSION

          public static final SupportedSparkModels GRADIENT_BOOSTED_TREES_REGRESSION

      Gradient boosted trees regression.

    - #### GRADIENT_BOOSTED_TREES

          public static final SupportedSparkModels GRADIENT_BOOSTED_TREES

      Gradient boosted trees. NOTE: support binary classification only with raw labels 0 and 1

  - ### Method Detail

    - #### values

          public static SupportedSparkModels[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SupportedSparkModels c : SupportedSparkModels.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SupportedSparkModels valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getMdlClsNameInSpark

          public String getMdlClsNameInSpark()

      Get model class name in Apache Spark.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023